<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_13) on Fri Feb 08 19:40:57 CET 2008 -->
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<TITLE>
NTLMScheme (HttpClient 3.1 API)
</TITLE>

<META NAME="keywords" CONTENT="org.apache.commons.httpclient.auth.NTLMScheme class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="NTLMScheme (HttpClient 3.1 API)";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NTLMScheme.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/auth/MalformedChallengeException.html" title="class in org.apache.commons.httpclient.auth"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/auth/RFC2617Scheme.html" title="class in org.apache.commons.httpclient.auth"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/commons/httpclient/auth/NTLMScheme.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NTLMScheme.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.commons.httpclient.auth</FONT>
<BR>
Class NTLMScheme</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.commons.httpclient.auth.NTLMScheme</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html" title="interface in org.apache.commons.httpclient.auth">AuthScheme</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>NTLMScheme</B><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html" title="interface in org.apache.commons.httpclient.auth">AuthScheme</A></DL>
</PRE>

<P>
An implementation of the Microsoft proprietary NTLM authentication scheme.  For a detailed
 explanation of the NTLM scheme please see <a href="http://davenport.sourceforge.net/ntlm.html">
 http://davenport.sourceforge.net/ntlm.html</a>.
<P>

<P>
<DL>
<DT><B>Author:</B></DT>
  <DD><a href="mailto:remm@apache.org">Remy Maucherat</a>, Rodney Waldhoff, <a href="mailto:jsdever@apache.org">Jeff Dever</a>, Ortwin Gl???ck, Sean C. Sullivan, <a href="mailto:adrian@ephox.com">Adrian Sutton</a>, <a href="mailto:mbowler@GargoyleSoftware.com">Mike Bowler</a>, <a href="mailto:oleg@ural.ru">Oleg Kalnichevski</a></DD>
</DL>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#NTLMScheme()">NTLMScheme</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Default constructor for the NTLM authentication scheme.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#NTLMScheme(java.lang.String)">NTLMScheme</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;challenge)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for the NTLM authentication scheme.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#authenticate(org.apache.commons.httpclient.Credentials, org.apache.commons.httpclient.HttpMethod)">authenticate</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A>&nbsp;credentials,
             <A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html" title="interface in org.apache.commons.httpclient">HttpMethod</A>&nbsp;method)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Produces NTLM authorization string for the given set of 
 <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient"><CODE>Credentials</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#authenticate(org.apache.commons.httpclient.Credentials, java.lang.String, java.lang.String)">authenticate</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A>&nbsp;credentials,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;method,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;uri)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#authenticate(org.apache.commons.httpclient.Credentials, org.apache.commons.httpclient.HttpMethod)"><CODE>authenticate(Credentials, HttpMethod)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#authenticate(org.apache.commons.httpclient.NTCredentials, java.lang.String)">authenticate</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/NTCredentials.html" title="class in org.apache.commons.httpclient">NTCredentials</A>&nbsp;credentials,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;challenge)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>Use non-static <A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#authenticate(org.apache.commons.httpclient.Credentials, org.apache.commons.httpclient.HttpMethod)"><CODE>authenticate(Credentials, HttpMethod)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#authenticate(org.apache.commons.httpclient.NTCredentials, java.lang.String, java.lang.String)">authenticate</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/NTCredentials.html" title="class in org.apache.commons.httpclient">NTCredentials</A>&nbsp;credentials,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;challenge,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;charset)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>Use non-static <A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#authenticate(org.apache.commons.httpclient.Credentials, org.apache.commons.httpclient.HttpMethod)"><CODE>authenticate(Credentials, HttpMethod)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#getID()">getID</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>no longer used</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#getParameter(java.lang.String)">getParameter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the authentication parameter with the given name, if available.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#getRealm()">getRealm</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The concept of an authentication realm is not supported by the NTLM 
 authentication scheme.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#getSchemeName()">getSchemeName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns textual designation of the NTLM authentication scheme.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#isComplete()">isComplete</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Tests if the NTLM authentication process has been completed.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#isConnectionBased()">isConnectionBased</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <tt>true</tt>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#processChallenge(java.lang.String)">processChallenge</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;challenge)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Processes the NTLM challenge.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="NTLMScheme()"><!-- --></A><H3>
NTLMScheme</H3>
<PRE>
public <B>NTLMScheme</B>()</PRE>
<DL>
<DD>Default constructor for the NTLM authentication scheme.
<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>3.0</DD>
</DL>
</DL>
<HR>

<A NAME="NTLMScheme(java.lang.String)"><!-- --></A><H3>
NTLMScheme</H3>
<PRE>
public <B>NTLMScheme</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;challenge)
           throws <A HREF="../../../../../org/apache/commons/httpclient/auth/MalformedChallengeException.html" title="class in org.apache.commons.httpclient.auth">MalformedChallengeException</A></PRE>
<DL>
<DD>Constructor for the NTLM authentication scheme.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>challenge</CODE> - The authentication challenge
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/MalformedChallengeException.html" title="class in org.apache.commons.httpclient.auth">MalformedChallengeException</A></CODE> - is thrown if the authentication challenge
 is malformed</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="processChallenge(java.lang.String)"><!-- --></A><H3>
processChallenge</H3>
<PRE>
public void <B>processChallenge</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;challenge)
                      throws <A HREF="../../../../../org/apache/commons/httpclient/auth/MalformedChallengeException.html" title="class in org.apache.commons.httpclient.auth">MalformedChallengeException</A></PRE>
<DL>
<DD>Processes the NTLM challenge.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html#processChallenge(java.lang.String)">processChallenge</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html" title="interface in org.apache.commons.httpclient.auth">AuthScheme</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>challenge</CODE> - the challenge string
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/MalformedChallengeException.html" title="class in org.apache.commons.httpclient.auth">MalformedChallengeException</A></CODE> - is thrown if the authentication challenge
 is malformed<DT><B>Since:</B></DT>
  <DD>3.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="isComplete()"><!-- --></A><H3>
isComplete</H3>
<PRE>
public boolean <B>isComplete</B>()</PRE>
<DL>
<DD>Tests if the NTLM authentication process has been completed.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html#isComplete()">isComplete</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html" title="interface in org.apache.commons.httpclient.auth">AuthScheme</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD><tt>true</tt> if Basic authorization has been processed,
   <tt>false</tt> otherwise.<DT><B>Since:</B></DT>
  <DD>3.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="getSchemeName()"><!-- --></A><H3>
getSchemeName</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>getSchemeName</B>()</PRE>
<DL>
<DD>Returns textual designation of the NTLM authentication scheme.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html#getSchemeName()">getSchemeName</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html" title="interface in org.apache.commons.httpclient.auth">AuthScheme</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD><code>ntlm</code></DL>
</DD>
</DL>
<HR>

<A NAME="getRealm()"><!-- --></A><H3>
getRealm</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>getRealm</B>()</PRE>
<DL>
<DD>The concept of an authentication realm is not supported by the NTLM 
 authentication scheme. Always returns <code>null</code>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html#getRealm()">getRealm</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html" title="interface in org.apache.commons.httpclient.auth">AuthScheme</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD><code>null</code></DL>
</DD>
</DL>
<HR>

<A NAME="getID()"><!-- --></A><H3>
getID</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>getID</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>no longer used</I>
<P>
<DD>Returns a String identifying the authentication challenge.  This is
 used, in combination with the host and port to determine if
 authorization has already been attempted or not.  Schemes which
 require multiple requests to complete the authentication should
 return a different value for each stage in the request.
 
 <p>Additionally, the ID should take into account any changes to the
 authentication challenge and return a different value when appropriate.
 For example when the realm changes in basic authentication it should be
 considered a different authentication attempt and a different value should
 be returned.</p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html#getID()">getID</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html" title="interface in org.apache.commons.httpclient.auth">AuthScheme</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>String a String identifying the authentication challenge.  The
 returned value may be null.</DL>
</DD>
</DL>
<HR>

<A NAME="getParameter(java.lang.String)"><!-- --></A><H3>
getParameter</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>getParameter</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</PRE>
<DL>
<DD>Returns the authentication parameter with the given name, if available.
 
 <p>There are no valid parameters for NTLM authentication so this method always returns
 <tt>null</tt>.</p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html#getParameter(java.lang.String)">getParameter</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html" title="interface in org.apache.commons.httpclient.auth">AuthScheme</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - The name of the parameter to be returned
<DT><B>Returns:</B><DD>the parameter with the given name</DL>
</DD>
</DL>
<HR>

<A NAME="isConnectionBased()"><!-- --></A><H3>
isConnectionBased</H3>
<PRE>
public boolean <B>isConnectionBased</B>()</PRE>
<DL>
<DD>Returns <tt>true</tt>. NTLM authentication scheme is connection based.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html#isConnectionBased()">isConnectionBased</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html" title="interface in org.apache.commons.httpclient.auth">AuthScheme</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD><tt>true</tt>.<DT><B>Since:</B></DT>
  <DD>3.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="authenticate(org.apache.commons.httpclient.NTCredentials, java.lang.String)"><!-- --></A><H3>
authenticate</H3>
<PRE>
public static <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>authenticate</B>(<A HREF="../../../../../org/apache/commons/httpclient/NTCredentials.html" title="class in org.apache.commons.httpclient">NTCredentials</A>&nbsp;credentials,
                                  <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;challenge)
                           throws <A HREF="../../../../../org/apache/commons/httpclient/auth/AuthenticationException.html" title="class in org.apache.commons.httpclient.auth">AuthenticationException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>Use non-static <A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#authenticate(org.apache.commons.httpclient.Credentials, org.apache.commons.httpclient.HttpMethod)"><CODE>authenticate(Credentials, HttpMethod)</CODE></A></I>
<P>
<DD>Create a NTLM authorization string for the given
 challenge and NT credentials.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>challenge</CODE> - The challenge.<DD><CODE>credentials</CODE> - <A HREF="../../../../../org/apache/commons/httpclient/NTCredentials.html" title="class in org.apache.commons.httpclient"><CODE>NTCredentials</CODE></A>
<DT><B>Returns:</B><DD>a ntlm authorization string
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthenticationException.html" title="class in org.apache.commons.httpclient.auth">AuthenticationException</A></CODE> - is thrown if authentication fails</DL>
</DD>
</DL>
<HR>

<A NAME="authenticate(org.apache.commons.httpclient.NTCredentials, java.lang.String, java.lang.String)"><!-- --></A><H3>
authenticate</H3>
<PRE>
public static <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>authenticate</B>(<A HREF="../../../../../org/apache/commons/httpclient/NTCredentials.html" title="class in org.apache.commons.httpclient">NTCredentials</A>&nbsp;credentials,
                                  <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;challenge,
                                  <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;charset)
                           throws <A HREF="../../../../../org/apache/commons/httpclient/auth/AuthenticationException.html" title="class in org.apache.commons.httpclient.auth">AuthenticationException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>Use non-static <A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#authenticate(org.apache.commons.httpclient.Credentials, org.apache.commons.httpclient.HttpMethod)"><CODE>authenticate(Credentials, HttpMethod)</CODE></A></I>
<P>
<DD>Create a NTLM authorization string for the given
 challenge and NT credentials.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>challenge</CODE> - The challenge.<DD><CODE>credentials</CODE> - <A HREF="../../../../../org/apache/commons/httpclient/NTCredentials.html" title="class in org.apache.commons.httpclient"><CODE>NTCredentials</CODE></A><DD><CODE>charset</CODE> - The charset to use for encoding the credentials
<DT><B>Returns:</B><DD>a ntlm authorization string
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthenticationException.html" title="class in org.apache.commons.httpclient.auth">AuthenticationException</A></CODE> - is thrown if authentication fails<DT><B>Since:</B></DT>
  <DD>3.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="authenticate(org.apache.commons.httpclient.Credentials, java.lang.String, java.lang.String)"><!-- --></A><H3>
authenticate</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>authenticate</B>(<A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A>&nbsp;credentials,
                           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;method,
                           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;uri)
                    throws <A HREF="../../../../../org/apache/commons/httpclient/auth/AuthenticationException.html" title="class in org.apache.commons.httpclient.auth">AuthenticationException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#authenticate(org.apache.commons.httpclient.Credentials, org.apache.commons.httpclient.HttpMethod)"><CODE>authenticate(Credentials, HttpMethod)</CODE></A></I>
<P>
<DD>Produces NTLM authorization string for the given set of 
 <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient"><CODE>Credentials</CODE></A>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html#authenticate(org.apache.commons.httpclient.Credentials, java.lang.String, java.lang.String)">authenticate</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html" title="interface in org.apache.commons.httpclient.auth">AuthScheme</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>credentials</CODE> - The set of credentials to be used for athentication<DD><CODE>method</CODE> - Method name is ignored by the NTLM authentication scheme<DD><CODE>uri</CODE> - URI is ignored by the NTLM authentication scheme
<DT><B>Returns:</B><DD>an NTLM authorization string
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/InvalidCredentialsException.html" title="class in org.apache.commons.httpclient.auth">InvalidCredentialsException</A></CODE> - if authentication credentials
         are not valid or not applicable for this authentication scheme
<DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthenticationException.html" title="class in org.apache.commons.httpclient.auth">AuthenticationException</A></CODE> - if authorization string cannot 
   be generated due to an authentication failure<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html#getName()"><CODE>HttpMethod.getName()</CODE></A>, 
<A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html#getPath()"><CODE>HttpMethod.getPath()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="authenticate(org.apache.commons.httpclient.Credentials, org.apache.commons.httpclient.HttpMethod)"><!-- --></A><H3>
authenticate</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>authenticate</B>(<A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A>&nbsp;credentials,
                           <A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html" title="interface in org.apache.commons.httpclient">HttpMethod</A>&nbsp;method)
                    throws <A HREF="../../../../../org/apache/commons/httpclient/auth/AuthenticationException.html" title="class in org.apache.commons.httpclient.auth">AuthenticationException</A></PRE>
<DL>
<DD>Produces NTLM authorization string for the given set of 
 <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient"><CODE>Credentials</CODE></A>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html#authenticate(org.apache.commons.httpclient.Credentials, org.apache.commons.httpclient.HttpMethod)">authenticate</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html" title="interface in org.apache.commons.httpclient.auth">AuthScheme</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>credentials</CODE> - The set of credentials to be used for athentication<DD><CODE>method</CODE> - The method being authenticated
<DT><B>Returns:</B><DD>an NTLM authorization string
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/InvalidCredentialsException.html" title="class in org.apache.commons.httpclient.auth">InvalidCredentialsException</A></CODE> - if authentication credentials
         are not valid or not applicable for this authentication scheme
<DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthenticationException.html" title="class in org.apache.commons.httpclient.auth">AuthenticationException</A></CODE> - if authorization string cannot 
   be generated due to an authentication failure<DT><B>Since:</B></DT>
  <DD>3.0</DD>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NTLMScheme.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/auth/MalformedChallengeException.html" title="class in org.apache.commons.httpclient.auth"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/auth/RFC2617Scheme.html" title="class in org.apache.commons.httpclient.auth"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/commons/httpclient/auth/NTLMScheme.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NTLMScheme.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &copy; 2001-2008 Apache Software Foundation. All Rights Reserved.
</BODY>
</HTML>
